:root {
    --white: #ffffff;
    --black: #212121;
    --primary: #ffc107;
    --secondary: #0097a7;
    --gray: #757575;
    --light-gray: #dfe9f3
}

/* Global items */
html {
    font-size: 62.5%;
    box-sizing: border-box; /* Box Model Hack */
    scroll-snap-type: y mandatory; /* Enable scroll effect */
}
*, *:before, *:after {
    box-sizing: inherit;
}
body {
    font-size: 16px;
    font-family: 'Krub', sans-serif;
    background-image: linear-gradient(to top, var(--light-gray) 0%, var(--white) 100%);
}
/* Typography */
h1 {
    font-size: 3.8rem;
}
h2 {
    font-size: 2.8rem;
}
h3 {
    font-size: 1.8rem;
}
h1, h2, h3 {
    text-align: center;
}
.title span {
    font-size: 2rem;
}
.container {
    max-width: 120rem;
    margin: 0 auto;
}
.button {
    background-color: var(--secondary);
    color: var(--white);
    padding: 1rem 3rem;
    margin-top: 3rem;
    font-size: 2rem;
    text-decoration: none;
    text-transform: uppercase;
    font-weight: bold;
    border-radius: .5rem;
    width: 90%;
    text-align: center;
    border: none;
}
@media (min-width: 768px) {
    .button {
        width: auto;
    }
}
.button:hover {
    cursor: pointer;
}
.w-sm {
    width: 100%;
}
@media (min-width: 768px) {
    .w-sm {
        width: auto;
    }
}
.flex {
    display: flex;
}
.align-right {
    justify-content: flex-end;
}
.shadow {
    -webkit-box-shadow: 0px 5px 15px 0px rgba(135,132,135,0.6);
    -moz-box-shadow: 0px 5px 15px 0px rgba(135,132,135,0.6);
    box-shadow: 0px 5px 15px 0px rgba(135,132,135,0.6);
    background-color: var(--white);
    padding: 2rem;
    border-radius: 1rem;
}
.nav-bg {
    background-color: var(--secondary);
}
.main-navigation {
    display: flex;
    justify-content: space-between;
}
@media (max-width: 480px) {
    .main-navigation {
        flex-direction: column;
        align-items: center;
    }
}
.main-navigation a {
    color: white;
    text-decoration: none;
    font-size: 2rem;
    font-weight: bold;
    padding: 1rem;

}
.main-navigation a:hover {
    background-color: var(--primary);
    color: black;
}
.hero {
    background-image: url("../img/hero.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    height: 450px;
    position: relative;
    margin-bottom: 2rem;
}
.hero-content {
    position: absolute;
    background-color: rgb( 0 0 0 / 70% );
    width: 100%;
    height: 100%;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.hero-content h2, .hero-content p {
    color: var(--white);
}
.location {
    display: flex;
    align-items: flex-end;
}
.services, .main-navigation, .form {
    scroll-snap-align: center;
    scroll-snap-stop: always;
}
/* Services */
@media (min-width: 768px) {
    .services {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        column-gap: 5rem;
    }
}
.service {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.service h3 {
    color: var(--secondary);
    font-weight: normal;
}
.service p {
    line-height: 2;
}
.service .icons {
    height: 15rem;
    width: 15rem;
    background-color: var(--primary);
    border-radius: 50%;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}
/* Contact */
.form {
    background-color: var(--gray);
    width: min( 60rem, 100% );
    margin: 0 auto;
    padding: 2rem;
    border-radius: 1rem;
}
.form fieldset {
    border: none;
}
.form legend {
    text-align: center;
    font-size: 1.8rem;
    text-transform: uppercase;
    font-weight: bold;
    margin-bottom: 2rem;
    margin: 0 auto;  /* Force item centered in Firefox Browser */
    color: var(--primary);

}
@media (min-width: 768px) {
    .in-label-container {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: auto auto 30rem;
        column-gap: 1rem;
    }
    .in-label:nth-child(3),
    .in-label:nth-child(4) {
        grid-column: 1 / 3;
    }
}
.in-label {
    text-align: left;
    margin-bottom: 1rem;
}
.in-label label {
    color: var(--white);
    font-weight: bold;
    margin-bottom: .5rem;
    display: block;
}
.in-label textarea {
    height: 20rem;
}
.input-text {
    width: 100%;
    border: none;
    padding: 1.5rem;
    border-radius: .5rem;
}
/* Footer */
.footer {
    text-align: center;
}